Skip to content

Filter values with product counts

GET
/v1/catalog/products/facets
curl --request GET \
--url https://api.oldsteelarsenal.com/v1/catalog/products/facets \
--header 'x-client-id: <x-client-id>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'

Brands (brand_key + the most common spelling), product classes and each distributor’s departments, over live offers. distributor counts that house’s offers only. Scope: catalog:read.

distributor
Any of:
string
<= 40 characters
x-client-id
Any of:
string
x-timestamp
Any of:
string
x-signature
Any of:
string

Successful Response

Media typeapplication/json
ProductFacetsResponse
object
brands
required
Brands
Array<object>
ProductFacet
object
department
Any of:
string
distributor
Any of:
string
key
required
Key
string
name
Name
string
""
products
required
Products
integer
classes
required
Classes
Array<object>
ProductFacet
object
department
Any of:
string
distributor
Any of:
string
key
required
Key
string
name
Name
string
""
products
required
Products
integer
departments
required
Departments
Array<object>
ProductFacet
object
department
Any of:
string
distributor
Any of:
string
key
required
Key
string
name
Name
string
""
products
required
Products
integer
Example
{
"brands": [
{
"name": ""
}
],
"classes": [
{
"name": ""
}
],
"departments": [
{
"name": ""
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}